#! /bin/sh

PROJECT_NAME=`basename $PWD`
VARIABLES_START=`echo $PROJECT_NAME | tr "[:lower:]" "[:upper:]"`

CPPS=$VARIABLES_START'_CPP'
MOCS=$VARIABLES_START'_MOC'
MOC_HEADERS=$VARIABLES_START'_MOC_HEADERS'
RESOURCES=$VARIABLES_START'_RESOURCES'
RESOURCES_HEADERS=$VARIABLES_START'_RESOURCES_HEADERS'
UIS=$VARIABLES_START'_UIS'
UIS_HEADERS=$VARIABLES_START'_UI_HEADERS'

CPPS_FILES=`find -name '*.cpp' -type f`
H_FILES=`find -name '*.h' -type f`
UI_FILES=`find -name '*.ui' -type f`
QRC_FILES=`find -name '*.qrc' -type f`

echo "project(`basename $PWD`)
cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)

include_directories( "'${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR}'" )
include_directories ("'"${PROJECT_SOURCE_DIR}/../../Libs/SDataBase"'")
include_directories ("'"${PROJECT_SOURCE_DIR}/../../Libs/SiliconLib"'")
include_directories ("'"${PROJECT_SOURCE_DIR}/../../Libs/SiDi"'")

SET( $CPPS "'${'$CPPS'}'"
$CPPS_FILES
)

SET( $MOCS "'${'$MOCS'}'"
`grep Q_OBJECT $H_FILES -l`
)

SET( $RESOURCES "'${'$RESOURCES'}'"
$QRC_FILES
)

SET( $UIS "'${'$UIS'}'"
$UI_FILES
)


QT4_WRAP_CPP( $MOC_HEADERS "'${'$MOCS'}'"  )
QT4_ADD_RESOURCES( $RESOURCES_HEADERS "'${'$RESOURCES'}'" )
QT4_WRAP_UI( $UIS_HEADERS "'${'$UIS'}'" )

add_library( $PROJECT_NAME SHARED "'${'$CPPS'}' '${'$UIS_HEADERS'} ${'$RESOURCES_HEADERS'} ${'$MOC_HEADERS'}'" )
target_link_libraries( $PROJECT_NAME "'${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} SiliconLib SiDi'"  )

" > $PWD"/CMakeLists.txt"
