// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Image {
    width:  iwidth*zoom
    height: iheight*zoom
    smooth: (isSmooth || !animations_on)
    fillMode: Image.PreserveAspectFit
    asynchronous: true
    cache: false
    sourceSize.width: (thumbnailbar_item.selected)?realWidth:preview
    sourceSize.height: (thumbnailbar_item.selected)?realHeight:preview/ratio

    property real preview: (android)? 160 : 160

    property real iwidth:  (ratio>=pic_framw_w/pic_framw_h)? pic_framw_w : pic_framw_h*ratio
    property real iheight: (ratio<=pic_framw_w/pic_framw_h)? pic_framw_h : pic_framw_w/ratio

    property real ratio: 1
    property real zoom: 1

    property real realHeight
    property real realWidth

    Connections{
        target: View
        onWheel:{
            if( !fullscreen || !thumbnailbar_item.selected )
                return

            zoom += delta/1200
            if( zoom < 1 ) zoom = 1
        }
    }
}
